Package org.spongepowered.asm.mixin.injection.invoke.arg

## Class ArgumentCountException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.spongepowered.asm.mixin.injection.invoke.arg.ArgumentCountException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ArgumentCountException
    extends java.lang.IllegalArgumentException

Exception thrown when varargs array passed into `Args.setAll(java.lang.Object...)` is of a different length than the args

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ArgumentCountException​(int received, int expected, java.lang.String desc)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ArgumentCountException

    public ArgumentCountException​(int received,
                                  int expected,
                                  java.lang.String desc)